## How to contribute to Relax-and-Recover (rear)

#### **Did you find a bug?**

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/rear/rear/issues)

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/rear/rear/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible (use our template), and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

#### **Did you write a patch that fixes a bug?**

* [Open a new GitHub pull request with the patch](http://relax-and-recover.org/development/).

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

* Before submitting, please read the [Code Style wiki](https://github.com/rear/rear/wiki/Coding-Style) to ensure the quality of the code.

#### **Do you intend to add a new feature or change an existing one?**

* Suggest your change in the [rear-devel mailing list](http://lists.relax-and-recover.org/mailman/listinfo/rear-devel)

* Do not open an issue on GitHub until you have collected positive feedback about the change. GitHub issues are primarily intended for bug reports and fixes.

#### **Do you have questions about the source code?**

* Ask any question about how to use rear in the [rear-user mailing list](http://lists.relax-and-recover.org/mailman/listinfo/rear-users)

#### **Do you want to contribute to the rear documentation?**

* Please read and improve the [documentation](https://github.com/rear/rear/tree/master/doc)

* Open a new GitHub pull request with the patch.

</br>
Relax-and-Recover is a volunteer effort. We encourage you to pitch in and [join the team](http://relax-and-recover.org/)!

Thanks! :heart: :heart: :heart:

Relax-and-Recover Team
